using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UpgradeBulletDamage : UpgradeButton {

	protected override int CostForLevel() {
		return (int)(100 * Mathf.Pow(1.5f, (gm.bulletBonusDamagePerc)));
	}

	override public void Clicked() {
		if(gm.score < CostForLevel())
			return;

		gm.score -= CostForLevel();

		gm.bulletBonusDamagePerc += 0.25f;
	}

	override protected string UpgradeName() {
		return "Your bullets do "+ ((gm.bulletBonusDamagePerc+0.25f)*100f).ToString("f0") +"% damage.";
	}

}
